Bug 49915 - [Patch] o.a.c.c.StandardServer swallows error on storeConfig.
[Patch] o.a.c.c.StandardServer swallows error on storeConfig.
Product: Tomcat 6
Classification: Unclassified
Component: Catalina
All All
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
Depends on:
  Show dependency tree
Reported: 2010-09-10 19:35 UTC by Wesley
Modified: 2010-10-04 17:13 UTC (History)
0 users


Note You need to log in before you can comment on or make changes to this bug.
Description Wesley 2010-09-10 19:35:43 UTC
When o.a.c.c.StandardServer#storeConfig is called all exceptions were getting swallowed. 

This lead to the impresssion it was working correctly when saved either through the manager application /manager/save or through jconsole.

I've removed the catch throwable block and thrown an exception upon not finding the registerd MBean.
Comment 1 Mark Thomas 2010-10-01 12:50:59 UTC
Patch? What patch? :)

Fixed in trunk and will be included in 7.0.3 onwards.

Also proposed for 6.0.x
Comment 2 Wesley 2010-10-01 18:26:16 UTC
Oops. Well I assume you don't need the file now. Shouldn't this be marked as fixed?
Comment 3 Mark Thomas 2010-10-02 06:51:27 UTC
Not yet. The standard approach is to mark it as fixed once the patch has been applied to the earliest Tomcat version the bug was reported against.
Comment 4 Mark Thomas 2010-10-04 17:13:36 UTC
This has been fixed in 6.0.x and will be in 6.0.30 onwards.